Get Build Status
curl --request GET \
--url https://api.primeintellect.ai/api/v1/images/build/{build_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/images/build/{build_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/images/build/{build_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"imageName": "<string>",
"imageTag": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"artifacts": [
{
"id": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"artifactType": "CONTAINER_IMAGE",
"fullImagePath": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Images
Get Build Status
Get the status of an image build.
GET
/
api
/
v1
/
images
/
build
/
{build_id}
Get Build Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Status of an image build and its artifact rows.
Public identifier for the image build
Name of the image being built
Tag of the image being built
Status of the build's primary artifact
Available options:
PENDING, UPLOADING, BUILDING, COMPLETED, FAILED, CANCELLED Timestamp when the build was created
Timestamp when the build started
Timestamp when the build completed
Status of the artifact rows produced by this build
Show child attributes
Show child attributes
Was this page helpful?